Bug 535835 - (RHQ-2490) verify license for IFrame-SSI JavaScript library is acceptable for use within RHQ
verify license for IFrame-SSI JavaScript library is acceptable for use within...
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
http://jira.rhq-project.org/browse/RH...
: Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-06 11:50 EST by Ian Springer
Modified: 2013-08-05 20:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2009-11-06 11:50:00 EST
This open-source library provides a way to set the height of an IFRAME to the same height as the content inside it. This allows the IFRAME to be rendered without its own vertical scrollbar, when the content goes past the bottom of the browser window.

The license for the library is here: http://www.dynamicdrive.com/notice.htm
Comment 1 Charles Crouch 2009-11-06 13:02:07 EST
From the link above
"Users may NOT, however, redistribute or repost/ resell for download any DHTML script found on Dynamic Drive. Redistribution is defined as re-offering our scripts for download in any fashion, whether on a competing web site, an application that generates code snippets, or a CD-ROM collection of CSS/JavaScript codes etc."

So IMHO, remembering that IANAL, this license looks unacceptable
Comment 2 Charles Crouch 2009-11-06 13:50:07 EST
This license just doesn't seem in any way compatible with RHQ's GPL license so we're not going to be able to use it
Comment 3 Red Hat Bugzilla 2009-11-10 16:05:27 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2490

Note You need to log in before you can comment on or make changes to this bug.